<!DOCTYPE html>
<html>

<head>

    <title>VectorGrid.Protobuf example</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.3/dist/leaflet.css" />

</head>

<body style='margin:0'>

    <div id="map" style="width: 100vw; height: 100vh; background: white"></div>

    <script type="text/javascript" src="https://unpkg.com/leaflet@1.3.1/dist/leaflet.js"></script>
    <script type="text/javascript" src="https://unpkg.com/leaflet.vectorgrid@1.2.0"></script>
    <script type="text/javascript" src="https://unpkg.com/geobuf@3.0.2/dist/geobuf.js"></script>
    <script type="text/javascript" src="https://unpkg.com/leaflet.markercluster@1.4.1/dist/leaflet.markercluster.js"></script>
    

    <!-- <script type="text/javascript" src="../dist/Leaflet.VectorGrid.bundled.js"></script> -->
    <script>
        //console.log(geobuf.decode(new Pbf("))),

        var map = L.map('map', {center: [44.081184951879834, 5.546615918513083], zoom: 13, preferCanvas: true});
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);
        var markers = L.markerClusterGroup();
        layer = L.vectorGrid.protobuf('http://localhost:3000/table_source_id/{z}/{x}/{y}', {
            rendererFactory: L.canvas.tile,
            vectorTileLayerStyles: {
                'table_source_id': function (properties, zoom, geometryDimension) {
                        return ({
                            radius: 5,
                            color: '#cf52d3',
                        });
                    }
                }
        })
        markers.addLayer(layer)
        map.addLayer(markers);

    </script>
</body>

</html>